%{?nodejs_find_provides_and_requires}

%global packagename is-absolute
%global enable_tests 0

Name:		nodejs-is-absolute
Version:	1.0.0
Release:	%mkrel 6
Summary:	Returns true if a file path is absolute
Group:          Development/Other

License:	MIT
URL:		https://github.com/jonschlinkert/is-absolute.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball, and haven't been tagged for version 0.2.3
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-absolute/master/test.js


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-relative)
BuildRequires:	npm(is-windows)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Returns true if a file path is absolute.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep is-relative ">=1.0.0"

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}





%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.0-6.mga9
+ Revision: 1821358
- Mageia 9 Mass Rebuild

* Tue May 05 2020 joequant <joequant> 1.0.0-5.mga8
+ Revision: 1580282
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1502843
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1280516
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.0.0-2.mga7
+ Revision: 1227327
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1225342
- Update to version 1.0.0

* Fri May 13 2016 joequant <joequant> 0.2.3-1.mga6
+ Revision: 1014898
- fix deps
- imported package nodejs-is-absolute


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 26 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.3-3
- Update and enable tests

* Wed Dec 16 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.3-1
- Initial packaging
